package com.xmomen.module.base.model;

import java.io.Serializable;
import java.util.List;

public class CouponCategoryModel implements Serializable {

    // 优惠券分类ID
    private Integer id;
    // 优惠券分类名称
    private String name;
    // 父级分类ID
    private Integer parentId;
    // 父级分类名称
    private String parentName;
    // 子分类列表
    private List<CouponCategoryModel> nodes;

    // 获取优惠券分类ID
    public Integer getId() {
        return id;
    }

    // 设置优惠券分类ID
    public void setId(Integer id) {
        this.id = id;
    }

    // 获取优惠券分类名称
    public String getName() {
        return name;
    }

    // 设置优惠券分类名称
    public void setName(String name) {
        this.name = name;
    }
    // 获取父级分类ID
    public Integer getParentId() {
        return parentId;
    }

    // 设置父级分类ID
    public void setParentId(Integer parentId) {
        this.parentId = parentId;
    }

    // 获取父级分类名称
    public String getParentName() {
        return parentName;
    }

    // 设置父级分类名称
    public void setParentName(String parentName) {
        this.parentName = parentName;
    }

    // 获取子分类列表
    public List<CouponCategoryModel> getNodes() {
        return nodes;
    }

    // 设置子分类列表
    public void setNodes(List<CouponCategoryModel> nodes) {
        this.nodes = nodes;
    }
}
